org.apache.ignite.ml.preprocessing.normalization

## Class NormalizationTrainer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.normalization.NormalizationTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    PreprocessingTrainer<K,V>

      public class NormalizationTrainer<K,V>
      extends Object
      implements PreprocessingTrainer<K,V>

  Trainer of the Normalization preprocessor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizationTrainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NormalizationPreprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `double` | `p()` Gets the degree of L space parameter value.
    `NormalizationTrainer<K,V>` | `withP(double p)` Sets the p parameter value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.PreprocessingTrainer

      `fit, fit, fit, fit, fit, learningEnvironment`

- - ### Constructor Detail

    - #### NormalizationTrainer

          public NormalizationTrainer()

  - ### Method Detail

    - #### fit

          public NormalizationPreprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                                    DatasetBuilder<K,V> datasetBuilder,
                                                    Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Specified by:
        `fit` in interface `PreprocessingTrainer<K,V>`
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### p

          public double p()

      Gets the degree of L space parameter value.
      Returns:
        The parameter value.

    - #### withP

          public NormalizationTrainer<K,V> withP(double p)

      Sets the p parameter value. Must be greater than 0.
      Parameters:
        `p` - The given value.
      Returns:
        The Normalization trainer.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022